Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portlets.struts
Class WpsActionServlet

    java.lang.Object
      ActionServlet
          com.ibm.wps.portlets.struts.WpsActionServlet

All Implemented Interfaces:
  PortletInfoSupplier

    public class WpsActionServlet

extends ActionServlet
implements PortletInfoSupplier

The `WpsActionServlet` extends the Struts ActionServlet. The WpsActionServlet is not an extension point for modifying the Struts application. The request processor and WpsStrutsPortlet should be the extension points. The WpsActionServlet is the ActionServlet object that is returned from the getServlet call in a Struts action. The WpsActionServlet can be used to obtain the portlet config and the portlet context objects, as well as the servlet config and context.

Since:
  4.1

Field Summary
`static java.lang.String` | `INCLUDE_SERVLET_PATH` The request attribute under which the servlet path information is stored for processing during a RequestDispatcher.include() call.

Constructor Summary
`WpsActionServlet(ServletContext servletContext, PortletConfig portletConfig, WpsStrutsInfo strutsInfo)` WpsActionServlet constructor.

Method Summary
`PortletConfig` | `getPortletConfig()` Gets the portlet configuration object.
`PortletContext` | `getPortletContext()` Gets the portlet context object.
`ServletConfig` | `getServletConfig()` Gets the servlet configuration object.
`ServletContext` | `getServletContext()` Gets the servlet context object.
`java.lang.String` | `getServletName()` Gets the servlet name.
`WpsStrutsInfo` | `getStrutsInfo()` Gets the Struts/Servlet information object.
`java.lang.String` | `getStrutsRoot()` Gets the Struts/servlet context root.
`TranscodingFilterConfigurator` | `getTranscodingFilterConfigurator()` Gets the transcoding filter configurator.
`void` | `init()` Calls the super, ActionServlet init method.
`void` | `setStrutsRoot(java.lang.String strutsRoot)` Sets the Struts/servlet context root.
`void` | `setTranscodingFilterConfigurator(TranscodingFilterConfigurator configurator)` Sets the transcoding filter configurator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INCLUDE_SERVLET_PATH

    public static final java.lang.String INCLUDE_SERVLET_PATH

  The request attribute under which the servlet path information is stored for processing during a RequestDispatcher.include() call.

  See Also:
    Constant Field Values

Constructor Detail

### WpsActionServlet

    public WpsActionServlet(ServletContext servletContext,
                            PortletConfig portletConfig,
                            WpsStrutsInfo strutsInfo)

  WpsActionServlet constructor. The objects passed in must not be `null`.

  Parameters:
    `servletContext` - servlet context
    `portletConfig` - portlet config
    `strutsInfo` - the wps Struts info
  Throws:
    `java.lang.NullPointerException` - if parameters are null

Method Detail

### getServletName

    public java.lang.String getServletName()

  Gets the servlet name.

  Returns:
    returns the name of the servlet

### getServletConfig

    public ServletConfig getServletConfig()

  Gets the servlet configuration object.

  Returns:
    returns the ServletConfig object

### getPortletConfig

    public PortletConfig getPortletConfig()

  Gets the portlet configuration object.

  Specified by:
    `getPortletConfig` in interface `PortletInfoSupplier`
  Returns:
    returns the PortletConfig object

### getServletContext

    public ServletContext getServletContext()

  Gets the servlet context object.

  Returns:
    returns the ServletContext object

### getPortletContext

    public PortletContext getPortletContext()

  Gets the portlet context object.

  Specified by:
    `getPortletContext` in interface `PortletInfoSupplier`
  Returns:
    returns the PortletContext object

### getStrutsInfo

    public WpsStrutsInfo getStrutsInfo()

  Gets the Struts/Servlet information object.

  Returns:
    returns the WpsStrutsInfo object

### getStrutsRoot

    public java.lang.String getStrutsRoot()

  Gets the Struts/servlet context root.

  Returns:
    the Struts context root

### setStrutsRoot

    public void setStrutsRoot(java.lang.String strutsRoot)

  Sets the Struts/servlet context root.

  Parameters:
    `strutsRoot` - the Struts context root

### init

    public void init()
              throws ServletException

  Calls the super, ActionServlet init method. The ActionServlet actually digests the Struts configuration.

  Throws:
    `ServletException` - if there is a problem digesting the configuration

### setTranscodingFilterConfigurator

    public void setTranscodingFilterConfigurator(TranscodingFilterConfigurator configurator)

  Sets the transcoding filter configurator.

  Parameters:
    `configurator` - the TranscodingFilterConfigurator object

### getTranscodingFilterConfigurator

    public TranscodingFilterConfigurator getTranscodingFilterConfigurator()

  Gets the transcoding filter configurator.

  Returns:
    returns the TranscodingFilterConfigurator

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD